VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ISplitViewSeparatorDrawer Class Referenceabstract

TODO: Doc. More...

`#include <csplitview.h>`

## Public Types
enum | Flags { kMouseOver = 1 << 0 , kMouseDown = 1 << 1 }

## Public Member Functions
virtual | ~ISplitViewSeparatorDrawer () noexcept=default
virtual void | drawSplitViewSeparator (CDrawContext *context, const CRect &size, int32_t flags, int32_t index, CSplitView *splitView)=0
| TODO: Doc.

## Detailed Description

TODO: Doc.

## Member Enumeration Documentation

## ◆ Flags

enum Flags

Enumerator
kMouseOver |
kMouseDown |

## Constructor & Destructor Documentation

## ◆ ~ISplitViewSeparatorDrawer()

virtual ~ISplitViewSeparatorDrawer | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ drawSplitViewSeparator()

virtual void drawSplitViewSeparator | ( | CDrawContext * | context,
|  | const CRect & | size,
|  | int32_t | flags,
|  | int32_t | index,
|  | CSplitView * | splitView )
| pure virtual

TODO: Doc.

The documentation for this class was generated from the following file:

- csplitview.h